CobolBoolean (Micro Focus COBOL Java Class Library)
Keywords: com.microfocus.cobol.lang.internal.CobolBoolean class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.lang.internal
Class CobolBoolean

    java.lang.Object
      com.microfocus.cobol.lang.internal.CobolBytes
          com.microfocus.cobol.lang.internal.CobolField
              com.microfocus.cobol.lang.internal.CobolBoolean

public class CobolBoolean
extends CobolField

Micro Focus Java Support

Since:
  Net Express 4.0
Version:
  3.6, 12/10/01

Field Summary

Fields inherited from class com.microfocus.cobol.lang.internal.CobolField
`descriptor, F_BWZ, F_DBCS, F_EBCDIC, F_IBMCOMP, F_NONE, F_TRUNC, occurs, S_LEADING_INCLUDED, S_LEADING_SEPARATE, S_SIGNED_DEFAULT, S_TRAILING_INCLUDED, S_TRAILING_SEPARATE, S_UNSIGNED, T_ALPHANUMERIC, T_BCD, T_BINARY, T_DISPLAY, T_EDITED_ALPHANUMERIC, T_EDITED_DISPLAY, T_EDITED_FLOAT, T_FLOAT, T_PORTABLE_BINARY, T_UBCD`

Fields inherited from class com.microfocus.cobol.lang.internal.CobolBytes
`length, offset, record`

Constructor Summary
`CobolBoolean(CobolRecord record, int offset, int length, CobolDescriptor descriptor)`

Method Summary
`boolean` | `getBoolean()`
`void` | `setBoolean(boolean setit)`
`void` | `setString(String value)`
`String` | `toString()`

Methods inherited from class com.microfocus.cobol.lang.internal.CobolBytes
`getBytesValue, getRecord, setBytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CobolBoolean

    public CobolBoolean(CobolRecord record,
                        int offset,
                        int length,
                        CobolDescriptor descriptor)

Method Detail

### getBoolean

    public boolean getBoolean()
                       throws CobolRecordException

  Throws:
    `CobolRecordException`

### setBoolean

    public void setBoolean(boolean setit)
                    throws CobolRecordException

  Throws:
    `CobolRecordException`

### toString

    public String toString()

  Specified by:
    `toString` in class `CobolField`

### setString

    public void setString(String value)
                   throws CobolRecordException

  Specified by:
    `setString` in class `CobolField`
  Throws:
    `CobolRecordException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.